using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace tableaux
{
    class Program
    {
        static void Main(string[] args)
        {

            Mammifere[] veto = new Mammifere[1];
            veto[0] = new Mammifere(3, "peggy");
            Mammifere[] zoo= new Mammifere[2]{ new Mammifere(2,"oscar"), new Mammifere(20,"zoe")};
            foreach (Mammifere unMammifere in zoo)
            {
                if (unMammifere.Age == 2)
                {
                    unMammifere.Nom = "ursul";
                }
                Console.WriteLine(unMammifere);
               
            }

            for (int i=0; i < zoo.Length; i++)
            {
                Mammifere unMammifere = zoo[i];
                Console.WriteLine(unMammifere);
               
            }
            Console.ReadKey();
        }
    }
}
